<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxSwimlaneManager (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxSwimlaneManager (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxSwimlaneManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.view</a></div>
<h2 title="Class mxSwimlaneManager" class="title">Class mxSwimlaneManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxEventSource</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.view.mxSwimlaneManager</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxSwimlaneManager</span>
extends <a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></pre>
<div class="block">Manager for swimlanes and nested swimlanes that sets the size of newly added
 swimlanes to that of their siblings, and propagates changes to the size of a
 swimlane to its siblings, if siblings is true, and its ancestors, if
 bubbling is true.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addEnabled">addEnabled</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if newly added cells should be resized to match the size of their
 existing siblings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addHandler">addHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enabled">enabled</a></span></code></th>
<td class="colLast">
<div class="block">Optional string that specifies the value of the attribute to be passed
 to mxCell.is to check if the rule applies to a cell.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graph">graph</a></span></code></th>
<td class="colLast">
<div class="block">Defines the type of the source or target terminal.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#horizontal">horizontal</a></span></code></th>
<td class="colLast">
<div class="block">Optional string that specifies the attributename to be passed to
 mxCell.is to check if the rule applies to a cell.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resizeEnabled">resizeEnabled</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if resizing of swimlanes should be handled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resizeHandler">resizeHandler</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.html#eventListeners">eventListeners</a>, <a href="../util/mxEventSource.html#eventsEnabled">eventsEnabled</a>, <a href="../util/mxEventSource.html#eventSource">eventSource</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraph)">mxSwimlaneManager</a></span>&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cellsAdded(java.lang.Object%5B%5D)">cellsAdded</a></span>&#8203;(java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">
<div class="block">Called if any cells have been added.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cellsResized(java.lang.Object%5B%5D)">cellsResized</a></span>&#8203;(java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">
<div class="block">Called if any cells have been resizes.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#destroy()">destroy</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGraph()">getGraph</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isAddEnabled()">isAddEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCellHorizontal(java.lang.Object)">isCellHorizontal</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true if the given cell is horizontal.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEnabled()">isEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isHorizontal()">isHorizontal</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isResizeEnabled()">isResizeEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSwimlaneIgnored(java.lang.Object)">isSwimlaneIgnored</a></span>&#8203;(java.lang.Object&nbsp;swimlane)</code></th>
<td class="colLast">
<div class="block">Returns true if the given swimlane should be ignored.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resizeSwimlane(java.lang.Object,double,double,boolean)">resizeSwimlane</a></span>&#8203;(java.lang.Object&nbsp;swimlane,
              double&nbsp;w,
              double&nbsp;h,
              boolean&nbsp;parentHorizontal)</code></th>
<td class="colLast">
<div class="block">Sets the width or height of the given swimlane to the given value depending
 on <horizontal>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAddEnabled(boolean)">setAddEnabled</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setEnabled(boolean)">setEnabled</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGraph(hk.quantr.mxgraph.view.mxGraph)">setGraph</a></span>&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHorizontal(boolean)">setHorizontal</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setResizeEnabled(boolean)">setResizeEnabled</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#swimlaneAdded(java.lang.Object)">swimlaneAdded</a></span>&#8203;(java.lang.Object&nbsp;swimlane)</code></th>
<td class="colLast">
<div class="block">Called for each swimlane which has been added.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a>, <a href="../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject)">fireEvent</a>, <a href="../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject,java.lang.Object)">fireEvent</a>, <a href="../util/mxEventSource.html#getEventSource()">getEventSource</a>, <a href="../util/mxEventSource.html#isEventsEnabled()">isEventsEnabled</a>, <a href="../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a>, <a href="../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a>, <a href="../util/mxEventSource.html#setEventsEnabled(boolean)">setEventsEnabled</a>, <a href="../util/mxEventSource.html#setEventSource(java.lang.Object)">setEventSource</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="graph">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graph</h4>
<pre>protected&nbsp;<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a> graph</pre>
<div class="block">Defines the type of the source or target terminal. The type is a string
 passed to mxCell.is to check if the rule applies to a cell.</div>
</li>
</ul>
<a id="enabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enabled</h4>
<pre>protected&nbsp;boolean enabled</pre>
<div class="block">Optional string that specifies the value of the attribute to be passed
 to mxCell.is to check if the rule applies to a cell.</div>
</li>
</ul>
<a id="horizontal">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>horizontal</h4>
<pre>protected&nbsp;boolean horizontal</pre>
<div class="block">Optional string that specifies the attributename to be passed to
 mxCell.is to check if the rule applies to a cell.</div>
</li>
</ul>
<a id="addEnabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEnabled</h4>
<pre>protected&nbsp;boolean addEnabled</pre>
<div class="block">Specifies if newly added cells should be resized to match the size of their
 existing siblings. Default is true.</div>
</li>
</ul>
<a id="resizeEnabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resizeEnabled</h4>
<pre>protected&nbsp;boolean resizeEnabled</pre>
<div class="block">Specifies if resizing of swimlanes should be handled. Default is true.</div>
</li>
</ul>
<a id="addHandler">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addHandler</h4>
<pre>protected&nbsp;<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> addHandler</pre>
</li>
</ul>
<a id="resizeHandler">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resizeHandler</h4>
<pre>protected&nbsp;<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a> resizeHandler</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxSwimlaneManager</h4>
<pre>public&nbsp;mxSwimlaneManager&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEnabled()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enabled</dd>
</dl>
</li>
</ul>
<a id="setEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setEnabled&#8203;(boolean&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the enabled to set</dd>
</dl>
</li>
</ul>
<a id="isHorizontal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHorizontal</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isHorizontal()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the bubbling</dd>
</dl>
</li>
</ul>
<a id="setHorizontal(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHorizontal</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHorizontal&#8203;(boolean&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the bubbling to set</dd>
</dl>
</li>
</ul>
<a id="isAddEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAddEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isAddEnabled()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the addEnabled</dd>
</dl>
</li>
</ul>
<a id="setAddEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAddEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAddEnabled&#8203;(boolean&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the addEnabled to set</dd>
</dl>
</li>
</ul>
<a id="isResizeEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isResizeEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isResizeEnabled()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the resizeEnabled</dd>
</dl>
</li>
</ul>
<a id="setResizeEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResizeEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setResizeEnabled&#8203;(boolean&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the resizeEnabled to set</dd>
</dl>
</li>
</ul>
<a id="getGraph()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraph</h4>
<pre class="methodSignature">public&nbsp;<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;getGraph()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the graph</dd>
</dl>
</li>
</ul>
<a id="setGraph(hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGraph</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGraph&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - the graph to set</dd>
</dl>
</li>
</ul>
<a id="isSwimlaneIgnored(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSwimlaneIgnored</h4>
<pre class="methodSignature">protected&nbsp;boolean&nbsp;isSwimlaneIgnored&#8203;(java.lang.Object&nbsp;swimlane)</pre>
<div class="block">Returns true if the given swimlane should be ignored.</div>
</li>
</ul>
<a id="isCellHorizontal(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCellHorizontal</h4>
<pre class="methodSignature">protected&nbsp;boolean&nbsp;isCellHorizontal&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true if the given cell is horizontal. If the given cell is not a
 swimlane, then the <horizontal> value is returned.</div>
</li>
</ul>
<a id="cellsAdded(java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cellsAdded</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;cellsAdded&#8203;(java.lang.Object[]&nbsp;cells)</pre>
<div class="block">Called if any cells have been added. Calls swimlaneAdded for all swimlanes
 where isSwimlaneIgnored returns false.</div>
</li>
</ul>
<a id="swimlaneAdded(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>swimlaneAdded</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;swimlaneAdded&#8203;(java.lang.Object&nbsp;swimlane)</pre>
<div class="block">Called for each swimlane which has been added. This finds a reference
 sibling swimlane and applies its size to the newly added swimlane. If no
 sibling can be found then the parent swimlane is resized so that the
 new swimlane fits into the parent swimlane.</div>
</li>
</ul>
<a id="cellsResized(java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cellsResized</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;cellsResized&#8203;(java.lang.Object[]&nbsp;cells)</pre>
<div class="block">Called if any cells have been resizes. Calls swimlaneResized for all
 swimlanes where isSwimlaneIgnored returns false.</div>
</li>
</ul>
<a id="resizeSwimlane(java.lang.Object,double,double,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resizeSwimlane</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;resizeSwimlane&#8203;(java.lang.Object&nbsp;swimlane,
                              double&nbsp;w,
                              double&nbsp;h,
                              boolean&nbsp;parentHorizontal)</pre>
<div class="block">Sets the width or height of the given swimlane to the given value depending
 on <horizontal>. If <horizontal> is true, then the width is set, otherwise,
 the height is set.</div>
</li>
</ul>
<a id="destroy()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>destroy</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;destroy()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxSwimlaneManager.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
